#!/usr/bin/env bash

#boxedit_SRCS=                   \
#        read.c                  \
#        write.c                 \
#        scc_fd.c                \
#        scc_cost.c              \
#        scc_img.c               \
#        scc_param.c             \
#        boxedit.c               \
#        scc_box.c               \
#        scc_util.c              \

# costview_SRCS=                  \
#         code.c                  \
#         decode.c                \
#         read.c                  \
#         write.c                 \
#         scc_util.c              \
#         scc_fd.c                \
#         scc_cost.c              \
#         costview.c              \
#         scc_img.c               \
#         scc_param.c             \

export INCLUDES="-I/usr/local//Cellar/atk/2.34.1/include/atk-1.0/  \
    -I/usr/local//Cellar/gdk-pixbuf/2.38.2/include/gdk-pixbuf-2.0/ \
    -I/usr/local//Cellar/gtk+/2.24.32_3/lib/gtk-2.0/include/  \
    -I/usr/local//Cellar/harfbuzz/2.6.1/include/harfbuzz/ \
    -I/usr/local//Cellar/pango/1.44.6/include/pango-1.0/  \
    -I/usr/local//Cellar/cairo/1.16.0_2/include/cairo/ \
    -I/usr/local//Cellar/glib/2.52.3/lib/glib-2.0/include  \
    -I/usr/local/include/glib-2.0 \
    -I/usr/local/include/gtk-2.0 \
    -I../../ -I./"

export LIBS="-lm \
             -L/usr/local//Cellar/gtk+/2.24.32_3/lib/ -lgtk-quartz-2.0 \
             -L/usr/local//Cellar/gtk+/2.24.32_3/lib/ -lgdk-quartz-2.0 \
             -L/usr/local//Cellar/glib/2.52.3/lib/ -lglib-2.0 \
             -L/usr/local//Cellar/glib/2.52.3/lib/ -lgobject-2.0"

export DEBUG=-g

#boxedit

echo -e "\nCompiling boxedit ..."

for i in  read                  \
          write                 \
          scc_fd                \
          scc_cost              \
          scc_img               \
          scc_param             \
          boxedit               \
          scc_box               \
          scc_util; do
    
    echo "$i.c -> $i.o"
    gcc $INCLUDES  -w $DEBUG -o $i.o -c ../../$i.c
done

# link it

gcc $DEBUG -o boxedit boxedit.o read.o write.o scc_fd.o scc_cost.o scc_img.o scc_param.o scc_box.o scc_util.o $LIBS


echo -e "\nCompiling costview ..."

xsltproc ../../man/header.xslt ../../man/costview.xml  > costview_help.h

#costview
for i in  code                   \
          decode                 \
          read                   \
          write                  \
          scc_util               \
          scc_fd                 \
          scc_cost               \
          costview               \
          scc_img                \
          scc_param; do
    
    echo "$i.c -> $i.o"
    gcc $INCLUDES  -w $DEBUG -o $i.o -c ../../$i.c
done

# link it

gcc $DEBUG -o costview costview.o read.o write.o scc_fd.o scc_cost.o scc_img.o scc_param.o scc_box.o scc_util.o $LIBS

echo -e "\nBuilt: "
ls  boxedit costview
